import 'package:json_annotation/json_annotation.dart';
import 'package:odf/bean/search_list_bean.dart';

part 'search_bean.g.dart';

@JsonSerializable(explicitToJson: true)
class SearchBean {
  int? pageSize;
  int? pageIndex;
  int? totalNum;
  int? totalPage;
  List<SearchListBean>? result;

  SearchBean(this.pageSize, this.pageIndex, this.totalNum, this.totalPage, this.result);

  factory SearchBean.fromJson(Map<String, dynamic> json) => _$SearchBeanFromJson(json);

  Map<String, dynamic> toJson() => _$SearchBeanToJson(this);
}
